Subject: Re: linux-next: build failure after merge of the folio tree

From: Matthew Wilcox <[email-masked]>
Date: Wed, 9 Feb 2022 03:47:43 +0000

On Wed, Feb 09, 2022 at 02:38:04PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 7 Feb 2022 15:06:21 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the folio tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > mm/page_vma_mapped.c: In function 'page_vma_mapped_walk':
> > mm/page_vma_mapped.c:219:48: error: implicit declaration of function 'pmd_pfn'; did you mean 'pmd_off'? [-Werror=implicit-function-declaration]
> >   219 |                                 if (!check_pmd(pmd_pfn(pmde), pvmw))
> >       |                                                ^~~~~~~
> >       |                                                pmd_off
> > 
> > Caused by commit
> > 
> >   02ecfe9b9580 ("mm: Convert page_vma_mapped_walk to work on PFNs")
> > 
> > Presumably you need to explicitly include <linux/pgtable.h>?
> > 
> > I have used the folio tree from next-20220204 for today.
> 
> I am still getting this build failure.

I have it fixed in my tree, but haven't pushed it out yet.
There's going to be a giant pile of conflicts between Hugh's rework
of mlock which just landed in mm and my folioisation of mlock, which
I haven't even started trying to redo yet.

We're back to the "it's hard to work with the mm tree" problem.
Tempted to resolve it by taking Hugh's patches into my tree since
there's no other way to create a stable base to work against.